SELECT count(*) as NBR_BOOKS,AUTHORS.LAST_NAME, PUBLISHED_DATE FROM AUTHORS JOIN BOOK_AUTHORS
                ON BOOK_AUTHORS.AUTHOR_ID = AUTHORS.AUTHOR_ID 
                JOIN BOOKS 
                ON BOOK_AUTHORS.BOOK_ID = BOOKS.BOOK_ID  
                WHERE PUBLISHED_DATE IS NOT NULL
                GROUP BY AUTHORS.LAST_NAME, PUBLISHED_DATE
                ORDER BY PUBLISHED_DATE